// (C) 2020 GoodData Corporation
import { BubbleTrigger } from "./BubbleTrigger.js";
/**
 * @internal
 */
export class BubbleFocusTrigger extends BubbleTrigger {
    static defaultProps = {
        tagName: "span",
        eventsOnBubble: true,
    };
    eventListeners() {
        return {
            onFocus: this.changeBubbleVisibility.bind(this, true),
            onBlur: this.changeBubbleVisibility.bind(this, false),
        };
    }
}
